summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Thibaut Notteboom <tib@tibux.org>2011-07-08 14:44:25 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-07-14 19:50:57 -0300
commitaf7a2176fd22acaf77c64927d2f24119e74a56c7 (patch)
tree0a2f4e5a46f9356c8110f9326e8d0e2025850c9f
parentef6396109b755d1b78f79e117ea55037ccb77d09 (diff)
downloadslackbuilds-af7a2176fd22acaf77c64927d2f24119e74a56c7.tar.gz
slackbuilds-af7a2176fd22acaf77c64927d2f24119e74a56c7.tar.xz
python/Pyro: Added (PYthon Remote Objects)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--python/Pyro/Pyro.SlackBuild64
-rw-r--r--python/Pyro/Pyro.info10
-rw-r--r--python/Pyro/README3
-rw-r--r--python/Pyro/slack-desc12
4 files changed, 89 insertions, 0 deletions
diff --git a/python/Pyro/Pyro.SlackBuild b/python/Pyro/Pyro.SlackBuild
new file mode 100644
index 0000000000..309bc1816f
--- /dev/null
+++ b/python/Pyro/Pyro.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for Pyro
+# Written by Thibaut Notteboom (tib@tibux.org)
+
+PRGNAM=Pyro
+VERSION=${VERSION:-3.13}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+python setup.py install --root=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.txt docs/ examples/ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/python/Pyro/Pyro.info b/python/Pyro/Pyro.info
new file mode 100644
index 0000000000..17b054322b
--- /dev/null
+++ b/python/Pyro/Pyro.info
@@ -0,0 +1,10 @@
+PRGNAM="Pyro"
+VERSION="3.13"
+HOMEPAGE="http://www.xs4all.nl/~irmen/pyro3/"
+DOWNLOAD="http://pypi.python.org/packages/source/P/Pyro/Pyro-3.13.tar.gz"
+MD5SUM="7fbf04010fe13872ddc47cfc26f7f634"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Thibaut Notteboom"
+EMAIL="tib@tibux.org"
+APPROVED="Niels Horn"
diff --git a/python/Pyro/README b/python/Pyro/README
new file mode 100644
index 0000000000..1d8e46c33c
--- /dev/null
+++ b/python/Pyro/README
@@ -0,0 +1,3 @@
+Pyro stands for PYthon Remote Objects. It is an advanced and powerful
+Distributed Object Technology system written entirely in Python, that is
+designed to be very easy to use.
diff --git a/python/Pyro/slack-desc b/python/Pyro/slack-desc
new file mode 100644
index 0000000000..7bcb574371
--- /dev/null
+++ b/python/Pyro/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler------------------------------------------------------|
+Pyro: Pyro (PYthon Remote Objects)
+Pyro:
+Pyro: Pyro stands for PYthon Remote Objects. It is an advanced and powerful
+Pyro: Distributed Object Technology system written entirely in Python, that
+Pyro: is designed to be very easy to use.
+Pyro:
+Pyro: Homepage: http://www.xs4all.nl/~irmen/pyro3/
+Pyro:
+Pyro:
+Pyro:
+Pyro: